/* $Id: def_addr.h,v 2.0 2007/08/25 11:51:45 hurtta Exp $ */

/******************************************************************************
 *  The Elm (ME+) Mail System  -  $Revision: 2.0 $   $State: Exp $
 *
 *  Author: Kari Hurtta <hurtta+elm@posti.FMI.FI>
 *      or  Kari Hurtta <elm@elmme-mailer.org>
 *****************************************************************************/

#include "elm_defs.h"
#include "addrlib.h"

/*   definations */

#define ADDR_list_magic      0xE800

struct addr_list {
    unsigned short magic;        /*  ADDR_list_magic */

    int              group_count;
    struct string ** groups;
    
    struct addr_list_item {
	int               groupidx;   /* -1 == not in group */
	struct address  * addr;
    }               * addrs;
    int               addr_count;
    int               alloced;       

};

#define ADDR_magic           0xE801

struct address {
    
    unsigned short magic;        /* ADDR_magic       */

    char           * ascii_address;
    struct string  * phrase;
    struct string  * comment;

};

/* list routines */


/* address routines */

extern struct address * dup_address P_((const struct address *addr));



/*
 * Local Variables:
 *  mode:c
 *  c-basic-offset:4
 *  buffer-file-coding-system: iso-8859-1
 * End:
 */

